Blob Blame History Raw
From bb811baa136ab6b933ebb2eaec8bd420cfc72671 Mon Sep 17 00:00:00 2001
From: Narendra Sankar <nsankar@broadcom.com>
Date: Tue, 13 Jul 2010 13:29:51 -0700
Subject: [PATCH] making gst plugin build against system libcrystalhd

Use installed library headers rather than local dev one.

Signed-off-by: Jarod Wilson <jarod@redhat.com>
---
 filters/gst/gst-plugin/autogen.sh      |    7 +++++++
 filters/gst/gst-plugin/src/Makefile.am |    7 ++-----
 2 files changed, 9 insertions(+), 5 deletions(-)
 mode change 100644 => 100755 filters/gst/gst-plugin/autogen.sh

diff --git a/filters/gst/gst-plugin/autogen.sh b/filters/gst/gst-plugin/autogen.sh
old mode 100644
new mode 100755
index 9d84a03..9347924
--- a/filters/gst/gst-plugin/autogen.sh
+++ b/filters/gst/gst-plugin/autogen.sh
@@ -57,6 +57,13 @@ tool_run "$autoheader"
 tool_run "$autoconf"
 tool_run "$automake" "-a -c"
 
+if test ! -f /usr/include/libcrystalhd/libcrystalhd_if.h;
+then
+  echo libcrystalhd is not installed
+  echo install it from source or a binary package and re-run this script
+  exit 1
+fi 
+
 # if enable exists, add an -enable option for each of the lines in that file
 if test -f enable; then
   for a in `cat enable`; do
diff --git a/filters/gst/gst-plugin/src/Makefile.am b/filters/gst/gst-plugin/src/Makefile.am
index 47c5653..ba31b4c 100644
--- a/filters/gst/gst-plugin/src/Makefile.am
+++ b/filters/gst/gst-plugin/src/Makefile.am
@@ -3,15 +3,12 @@
 ROOTDIR    = ../../../..
 CC = g++
 CPP = g++
-INCLUDES = -I./ -I/usr/include
-INCLUDES += -I$(ROOTDIR)/include
-INCLUDES += -I$(ROOTDIR)/include/link
-INCLUDES += -I$(ROOTDIR)/linux_lib/libcrystalhd
+INCLUDES = -I./ -I/usr/include -I/usr/include/libcrystalhd
 
 BCMDEC_CFLAGS = $(INCLUDES) -D__LINUX_USER__ -DWMV_FILE_HANDLING
 BCMDEC_CFLAGS += -O2  -g -Wall
 
-BCMDEC_LDFLAGS = -L$(ROOTDIR)/linux_lib/libcrystalhd -lcrystalhd
+BCMDEC_LDFLAGS = -lcrystalhd
 
 ##############################################################################
 # change libgstplugin.la to something more suitable, e.g. libmysomething.la  #
-- 
1.7.4.1